[
  {
    blockid=create;
    title="\u5efa\u7acb\u8a0e\u8ad6\u7fa4\u7d44";
    buttonsat=south;

    localvar=
    {
      .create.node.label="\u8a0e\u8ad6\u7fa4\u7d44\u7684\u540d\u7a31\uff1a";

      .create.options.items=
      [
        "local",
        "replicated"
      ];
      .create.options.labels=
      [
        "Create on this server only",
        "Create on this server and all replicated servers"
      ];
    };

    content=
    [ /* create dialog contents */

      { /* newsgroup name */
        ctrl=pane;
        layout=[xbox];
        content=
        [ /* newsgroup name contents */

          { /* label */
            ctrl=label;
            alignh=right;
            aligny=0.5;
            id=newsgroupname;
            text=$.create.node.label;
          }, /* label */

          { /* component space */
            ctrl=rigid;
          }, /* component space */

          { /* parent name */
            ctrl=label;
            aligny=0.5;
            label=newsgroupname;
            text=$create.parentname;
          }, /* parent name */

          { /* node name */
            ctrl=text;
            aligny=0.5;
            label=newsgroupname;
            val=$create.nodename;
          } /* node name */

        ]; /* newsgroup name contents */
      }, /* newsgroup name */

      { /* component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* component space */

      { /* separator */
        ctrl=separator;
      }, /* separator */

      { /* component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* component space */

      { /* choice to create locally or on all servers */
        ctrl=choice;
        style=radio;
        items=$.create.options.items;
        labels=$.create.options.labels;
        val=$create.options.mode;
      } /* choice to create locally or on all servers */

    ] /* create dialog contents */
  }
]


